<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.ss.formula.functions (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<h1 class="bar"><a href="../../../../../../org/apache/poi/ss/formula/functions/package-summary.html"
                   target="classFrame">org.apache.poi.ss.formula.functions</a></h1>
<div class="indexContainer">
    <h2 title="Interfaces">Interfaces</h2>
    <ul title="Interfaces">
        <li><a href="ArrayFunction.html" title="interface in org.apache.poi.ss.formula.functions"
               target="classFrame"><span class="interfaceName">ArrayFunction</span></a></li>
        <li><a href="ArrayMode.html" title="interface in org.apache.poi.ss.formula.functions" target="classFrame"><span
                class="interfaceName">ArrayMode</span></a></li>
        <li><a href="FreeRefFunction.html" title="interface in org.apache.poi.ss.formula.functions" target="classFrame"><span
                class="interfaceName">FreeRefFunction</span></a></li>
        <li><a href="Function.html" title="interface in org.apache.poi.ss.formula.functions" target="classFrame"><span
                class="interfaceName">Function</span></a></li>
        <li><a href="Function0Arg.html" title="interface in org.apache.poi.ss.formula.functions"
               target="classFrame"><span class="interfaceName">Function0Arg</span></a></li>
        <li><a href="Function1Arg.html" title="interface in org.apache.poi.ss.formula.functions"
               target="classFrame"><span class="interfaceName">Function1Arg</span></a></li>
        <li><a href="Function2Arg.html" title="interface in org.apache.poi.ss.formula.functions"
               target="classFrame"><span class="interfaceName">Function2Arg</span></a></li>
        <li><a href="Function3Arg.html" title="interface in org.apache.poi.ss.formula.functions"
               target="classFrame"><span class="interfaceName">Function3Arg</span></a></li>
        <li><a href="Function4Arg.html" title="interface in org.apache.poi.ss.formula.functions"
               target="classFrame"><span class="interfaceName">Function4Arg</span></a></li>
        <li><a href="IDStarAlgorithm.html" title="interface in org.apache.poi.ss.formula.functions" target="classFrame"><span
                class="interfaceName">IDStarAlgorithm</span></a></li>
        <li><a href="XYNumericFunction.Accumulator.html" title="interface in org.apache.poi.ss.formula.functions"
               target="classFrame"><span class="interfaceName">XYNumericFunction.Accumulator</span></a></li>
    </ul>
    <h2 title="Classes">Classes</h2>
    <ul title="Classes">
        <li><a href="Address.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Address</a>
        </li>
        <li><a href="AggregateFunction.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">AggregateFunction</a>
        </li>
        <li><a href="Areas.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Areas</a></li>
        <li><a href="BaseNumberUtils.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">BaseNumberUtils</a>
        </li>
        <li><a href="Bin2Dec.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Bin2Dec</a>
        </li>
        <li><a href="BooleanFunction.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">BooleanFunction</a>
        </li>
        <li><a href="CalendarFieldFunction.html" title="class in org.apache.poi.ss.formula.functions"
               target="classFrame">CalendarFieldFunction</a></li>
        <li><a href="Choose.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Choose</a>
        </li>
        <li><a href="Code.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Code</a></li>
        <li><a href="Column.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Column</a>
        </li>
        <li><a href="Columns.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Columns</a>
        </li>
        <li><a href="Complex.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Complex</a>
        </li>
        <li><a href="Count.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Count</a></li>
        <li><a href="Counta.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Counta</a>
        </li>
        <li><a href="Countblank.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Countblank</a>
        </li>
        <li><a href="Countif.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Countif</a>
        </li>
        <li><a href="Countif.ErrorMatcher.html" title="class in org.apache.poi.ss.formula.functions"
               target="classFrame">Countif.ErrorMatcher</a></li>
        <li><a href="Countif.StringMatcher.html" title="class in org.apache.poi.ss.formula.functions"
               target="classFrame">Countif.StringMatcher</a></li>
        <li><a href="Countifs.html" title="class in org.apache.poi.ss.formula.functions"
               target="classFrame">Countifs</a></li>
        <li><a href="DateFunc.html" title="class in org.apache.poi.ss.formula.functions"
               target="classFrame">DateFunc</a></li>
        <li><a href="Days360.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Days360</a>
        </li>
        <li><a href="Dec2Bin.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Dec2Bin</a>
        </li>
        <li><a href="Dec2Hex.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Dec2Hex</a>
        </li>
        <li><a href="Delta.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Delta</a></li>
        <li><a href="DGet.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">DGet</a></li>
        <li><a href="DMax.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">DMax</a></li>
        <li><a href="DMin.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">DMin</a></li>
        <li><a href="DStarRunner.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">DStarRunner</a>
        </li>
        <li><a href="DSum.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">DSum</a></li>
        <li><a href="EDate.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">EDate</a></li>
        <li><a href="EOMonth.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">EOMonth</a>
        </li>
        <li><a href="Errortype.html" title="class in org.apache.poi.ss.formula.functions"
               target="classFrame">Errortype</a></li>
        <li><a href="Even.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Even</a></li>
        <li><a href="FactDouble.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">FactDouble</a>
        </li>
        <li><a href="Finance.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Finance</a>
        </li>
        <li><a href="FinanceFunction.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">FinanceFunction</a>
        </li>
        <li><a href="FinanceLib.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">FinanceLib</a>
        </li>
        <li><a href="Fixed.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Fixed</a></li>
        <li><a href="Fixed0ArgFunction.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Fixed0ArgFunction</a>
        </li>
        <li><a href="Fixed1ArgFunction.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Fixed1ArgFunction</a>
        </li>
        <li><a href="Fixed2ArgFunction.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Fixed2ArgFunction</a>
        </li>
        <li><a href="Fixed3ArgFunction.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Fixed3ArgFunction</a>
        </li>
        <li><a href="Fixed4ArgFunction.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Fixed4ArgFunction</a>
        </li>
        <li><a href="Frequency.html" title="class in org.apache.poi.ss.formula.functions"
               target="classFrame">Frequency</a></li>
        <li><a href="Hex2Dec.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Hex2Dec</a>
        </li>
        <li><a href="Hlookup.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Hlookup</a>
        </li>
        <li><a href="Hyperlink.html" title="class in org.apache.poi.ss.formula.functions"
               target="classFrame">Hyperlink</a></li>
        <li><a href="IfFunc.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">IfFunc</a>
        </li>
        <li><a href="Imaginary.html" title="class in org.apache.poi.ss.formula.functions"
               target="classFrame">Imaginary</a></li>
        <li><a href="ImReal.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">ImReal</a>
        </li>
        <li><a href="Index.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Index</a></li>
        <li><a href="Indirect.html" title="class in org.apache.poi.ss.formula.functions"
               target="classFrame">Indirect</a></li>
        <li><a href="Intercept.html" title="class in org.apache.poi.ss.formula.functions"
               target="classFrame">Intercept</a></li>
        <li><a href="IPMT.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">IPMT</a></li>
        <li><a href="Irr.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Irr</a></li>
        <li><a href="LinearRegressionFunction.html" title="class in org.apache.poi.ss.formula.functions"
               target="classFrame">LinearRegressionFunction</a></li>
        <li><a href="LogicalFunction.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">LogicalFunction</a>
        </li>
        <li><a href="Lookup.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Lookup</a>
        </li>
        <li><a href="Match.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Match</a></li>
        <li><a href="MatrixFunction.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">MatrixFunction</a>
        </li>
        <li><a href="MatrixFunction.MutableValueCollector.html" title="class in org.apache.poi.ss.formula.functions"
               target="classFrame">MatrixFunction.MutableValueCollector</a></li>
        <li><a href="MatrixFunction.OneArrayArg.html" title="class in org.apache.poi.ss.formula.functions"
               target="classFrame">MatrixFunction.OneArrayArg</a></li>
        <li><a href="MatrixFunction.TwoArrayArg.html" title="class in org.apache.poi.ss.formula.functions"
               target="classFrame">MatrixFunction.TwoArrayArg</a></li>
        <li><a href="MinaMaxa.html" title="class in org.apache.poi.ss.formula.functions"
               target="classFrame">MinaMaxa</a></li>
        <li><a href="Mirr.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Mirr</a></li>
        <li><a href="Mode.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Mode</a></li>
        <li><a href="MultiOperandNumericFunction.html" title="class in org.apache.poi.ss.formula.functions"
               target="classFrame">MultiOperandNumericFunction</a></li>
        <li><a href="Na.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Na</a></li>
        <li><a href="NotImplementedFunction.html" title="class in org.apache.poi.ss.formula.functions"
               target="classFrame">NotImplementedFunction</a></li>
        <li><a href="Now.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Now</a></li>
        <li><a href="Npv.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Npv</a></li>
        <li><a href="NumericFunction.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">NumericFunction</a>
        </li>
        <li><a href="NumericFunction.OneArg.html" title="class in org.apache.poi.ss.formula.functions"
               target="classFrame">NumericFunction.OneArg</a></li>
        <li><a href="NumericFunction.TwoArg.html" title="class in org.apache.poi.ss.formula.functions"
               target="classFrame">NumericFunction.TwoArg</a></li>
        <li><a href="Oct2Dec.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Oct2Dec</a>
        </li>
        <li><a href="Odd.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Odd</a></li>
        <li><a href="Offset.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Offset</a>
        </li>
        <li><a href="PPMT.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">PPMT</a></li>
        <li><a href="Quotient.html" title="class in org.apache.poi.ss.formula.functions"
               target="classFrame">Quotient</a></li>
        <li><a href="Rank.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Rank</a></li>
        <li><a href="Rate.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Rate</a></li>
        <li><a href="Replace.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Replace</a>
        </li>
        <li><a href="Rept.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Rept</a></li>
        <li><a href="Roman.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Roman</a></li>
        <li><a href="RowFunc.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">RowFunc</a>
        </li>
        <li><a href="Rows.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Rows</a></li>
        <li><a href="Slope.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Slope</a></li>
        <li><a href="Substitute.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Substitute</a>
        </li>
        <li><a href="Subtotal.html" title="class in org.apache.poi.ss.formula.functions"
               target="classFrame">Subtotal</a></li>
        <li><a href="Sumif.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Sumif</a></li>
        <li><a href="Sumifs.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Sumifs</a>
        </li>
        <li><a href="Sumproduct.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Sumproduct</a>
        </li>
        <li><a href="Sumx2my2.html" title="class in org.apache.poi.ss.formula.functions"
               target="classFrame">Sumx2my2</a></li>
        <li><a href="Sumx2py2.html" title="class in org.apache.poi.ss.formula.functions"
               target="classFrame">Sumx2py2</a></li>
        <li><a href="Sumxmy2.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Sumxmy2</a>
        </li>
        <li><a href="T.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">T</a></li>
        <li><a href="TextFunction.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">TextFunction</a>
        </li>
        <li><a href="TimeFunc.html" title="class in org.apache.poi.ss.formula.functions"
               target="classFrame">TimeFunc</a></li>
        <li><a href="Today.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Today</a></li>
        <li><a href="Trend.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Trend</a></li>
        <li><a href="Value.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Value</a></li>
        <li><a href="Vlookup.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">Vlookup</a>
        </li>
        <li><a href="WeekdayFunc.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">WeekdayFunc</a>
        </li>
        <li><a href="WeekNum.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">WeekNum</a>
        </li>
        <li><a href="XYNumericFunction.html" title="class in org.apache.poi.ss.formula.functions" target="classFrame">XYNumericFunction</a>
        </li>
    </ul>
    <h2 title="Enums">Enums</h2>
    <ul title="Enums">
        <li><a href="DStarRunner.DStarAlgorithmEnum.html" title="enum in org.apache.poi.ss.formula.functions"
               target="classFrame">DStarRunner.DStarAlgorithmEnum</a></li>
        <li><a href="LinearRegressionFunction.FUNCTION.html" title="enum in org.apache.poi.ss.formula.functions"
               target="classFrame">LinearRegressionFunction.FUNCTION</a></li>
    </ul>
</div>
</body>
</html>
